Bug 87545 - [NEW PORT] x11/alltray: Dock any application with no native tray icon
Summary: [NEW PORT] x11/alltray: Dock any application with no native tray icon
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jean-Yves Lefort
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-16 21:50 UTC by Jose Alonso Cardenas Marquez
Modified: 2005-10-28 13:25 UTC (History)
0 users

See Also:


Attachments
alltray-0.62.shar (3.20 KB, text/plain)
2005-10-16 21:50 UTC, Jose Alonso Cardenas Marquez
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jose Alonso Cardenas Marquez 2005-10-16 21:50:16 UTC
With AllTray you can dock any application with no native tray icon (like Evolution, 
Thunderbird, Terminals) into the system tray. A high-light feature is that a click on the "close" 
button will minimize back to system tray.  It works well with Gnome,  KDE,  XFCE 4*, Fluxbox* 
and WindowMaker*

WWW:http://alltray.sourceforge.net/
Comment 1 Jean-Yves Lefort freebsd_committer 2005-10-17 07:13:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jylefort

Take.
Comment 2 Jean-Yves Lefort freebsd_committer 2005-10-17 07:52:43 UTC
State Changed
From-To: open->feedback

Your shar has been mangled. Please submit a new shar file.
Comment 3 Jose Alonso Cardenas Marquez 2005-10-17 17:10:49 UTC
--- alltray-0.62.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#alltray
#alltray/pkg-descr
#alltray/Makefile
#alltray/pkg-plist
#alltray/distinfo
#alltray/files
#alltray/files/patch-lib_Makefile.in
#
echo c - alltray
mkdir -p alltray > /dev/null 2>&1
echo x - alltray/pkg-descr
sed 's/^X//' >alltray/pkg-descr << 'END-of-alltray/pkg-descr'
XWith AllTray you can dock any application with no native tray icon (like Evolution, 
XThunderbird, Terminals) into the system tray. A high-light feature is that a click on the "close" 
Xbutton will minimize back to system tray.  It works well with Gnome,  KDE,  XFCE 4*, Fluxbox* 
Xand WindowMaker*
X
XWWW:http://alltray.sourceforge.net/
END-of-alltray/pkg-descr
echo x - alltray/Makefile
sed 's/^X//' >alltray/Makefile << 'END-of-alltray/Makefile'
X# New ports collection makefile for:alltray
X# Date created:2005-10-15
X# Whom:Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
X#
X# $FreeBSD$
X#
X
XPORTNAME=alltray
XPORTVERSION=0.62
XCATEGORIES=x11
XMASTER_SITES=${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=alltray
X
XMAINTAINER=acardenas@bsd.org.pe
XCOMMENT=Dock any application with no native tray icon
X
XUSE_X_PREFIX=yes
XUSE_GNOME=gtk20
XUSE_GMAKE=yes
XUSE_LIBTOOL_VER=15
XGNU_CONFIGURE=yes
XUSE_REINPLACE=yes
XINSTALLS_SHLIB=yes
X
XWRKSRC=${WRKDIR}/${PORTNAME}-${PORTVERSION}
XCONFIGURE_ARGS=--prefix=${PREFIX}
X
X.if !defined(NOPORTDOCS)
XMAN1=alltray.1
X.endif
X
Xpost-configure:
X${REINPLACE_CMD} -e "s|install-data-am: install-appsDATA install-iconDATA install-man|\
Xinstall-data-am: install-appsDATA install-iconDATA|g"\
X${WRKSRC}/Makefile
X
Xpost-install:
X${LN} -sf ${PREFIX}/lib/liballtray.so.0 ${PREFIX}/lib/liballtray.so
X.if !defined(NOPORTDOCS)
X.for file in ${MAN1}
X${INSTALL_MAN} ${WRKSRC}/${file} ${PREFIX}/man/man1
X.endfor
X.endif
X.include <bsd.port.mk>
END-of-alltray/Makefile
echo x - alltray/pkg-plist
sed 's/^X//' >alltray/pkg-plist << 'END-of-alltray/pkg-plist'
Xbin/alltray
Xlib/liballtray.so.0
Xlib/liballtray.so
Xshare/applications/alltray.desktop
Xshare/pixmaps/alltray.png
END-of-alltray/pkg-plist
echo x - alltray/distinfo
sed 's/^X//' >alltray/distinfo << 'END-of-alltray/distinfo'
XMD5 (alltray-0.62.tar.gz) = f063900b552831376a59cf7cd313c252
XSIZE (alltray-0.62.tar.gz) = 372087
END-of-alltray/distinfo
echo c - alltray/files
mkdir -p alltray/files > /dev/null 2>&1
echo x - alltray/files/patch-lib_Makefile.in
sed 's/^X//' >alltray/files/patch-lib_Makefile.in << 'END-of-alltray/files/patch-lib_Makefile.in'
X--- lib/Makefile.inFri Sep 23 18:31:24 2005
X+++ lib/Makefile.inSat Oct 15 19:27:20 2005
X@@ -14,6 +14,9 @@
X 
X @SET_MAKE@
X 
X+INCLUDES= -I/usr/X11R6/include \
X+  -L/usr/X11R6/lib
X+
X SOURCES = $(liballtray_la_SOURCES)
X 
X srcdir = @srcdir@
X@@ -179,7 +182,7 @@
X target_alias = @target_alias@
X lib_LTLIBRARIES = liballtray.la
X liballtray_la_SOURCES = nomap.c
X-liballtray_la_LDFLAGS = -version-info 0:0:0 -ldl
X+#liballtray_la_LDFLAGS = -version-info 0:0:0 -ldl
X liballtray_la_CFLAGS = $(X_CFLAGS)
X all: all-am
X 
END-of-alltray/files/patch-lib_Makefile.in
exit
--- alltray-0.62.shar ends here ---
Comment 4 Jean-Yves Lefort freebsd_committer 2005-10-24 10:56:50 UTC
Responsible Changed
From-To: jylefort->freebsd-ports-bugs

Still mangled (by mangled I mean that whitespace is missing). Releasing.
Comment 5 Jose Alonso Cardenas Marquez 2005-10-28 08:52:12 UTC
Sorry, my browser don't paste whitespace, this is correct file

--- alltray-0.62.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	alltray
#	alltray/pkg-descr
#	alltray/Makefile
#	alltray/pkg-plist
#	alltray/distinfo
#	alltray/files
#	alltray/files/patch-lib_Makefile.in
#
echo c - alltray
mkdir -p alltray > /dev/null 2>&1
echo x - alltray/pkg-descr
sed 's/^X//' >alltray/pkg-descr << 'END-of-alltray/pkg-descr'
XWith AllTray you can dock any application with no native tray icon (like Evolution, 
XThunderbird, Terminals) into the system tray. A high-light feature is that a click on the "close" 
Xbutton will minimize back to system tray.  It works well with Gnome,  KDE,  XFCE 4*, Fluxbox* 
Xand WindowMaker*
X
XWWW:	http://alltray.sourceforge.net/
END-of-alltray/pkg-descr
echo x - alltray/Makefile
sed 's/^X//' >alltray/Makefile << 'END-of-alltray/Makefile'
X# New ports collection makefile for:	alltray
X# Date created:		2005-10-15
X# Whom:			Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	alltray
XPORTVERSION=	0.62
XCATEGORIES=	x11
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	alltray
X
XMAINTAINER=	acardenas@bsd.org.pe
XCOMMENT=	Dock any application with no native tray icon
X
XUSE_X_PREFIX=	yes
XUSE_GNOME=	gtk20
XUSE_GMAKE=	yes
XUSE_LIBTOOL_VER=15
XGNU_CONFIGURE=	yes
XUSE_REINPLACE=	yes
XINSTALLS_SHLIB=	yes
X
XWRKSRC=	${WRKDIR}/${PORTNAME}-${PORTVERSION}
XCONFIGURE_ARGS=	--prefix=${PREFIX}
X
X.if !defined(NOPORTDOCS)
XMAN1=	alltray.1
X.endif
X
Xpost-configure:
X	${REINPLACE_CMD} -e "s|install-data-am: install-appsDATA install-iconDATA install-man|\
X		install-data-am: install-appsDATA install-iconDATA|g"\
X		${WRKSRC}/Makefile
X
Xpost-install:
X	${LN} -sf ${PREFIX}/lib/liballtray.so.0 ${PREFIX}/lib/liballtray.so
X.if !defined(NOPORTDOCS)
X.for file in ${MAN1}
X	${INSTALL_MAN} ${WRKSRC}/${file} ${PREFIX}/man/man1
X.endfor
X.endif
X.include <bsd.port.mk>
END-of-alltray/Makefile
echo x - alltray/pkg-plist
sed 's/^X//' >alltray/pkg-plist << 'END-of-alltray/pkg-plist'
Xbin/alltray
Xlib/liballtray.so.0
Xlib/liballtray.so
Xshare/applications/alltray.desktop
Xshare/pixmaps/alltray.png
END-of-alltray/pkg-plist
echo x - alltray/distinfo
sed 's/^X//' >alltray/distinfo << 'END-of-alltray/distinfo'
XMD5 (alltray-0.62.tar.gz) = f063900b552831376a59cf7cd313c252
XSIZE (alltray-0.62.tar.gz) = 372087
END-of-alltray/distinfo
echo c - alltray/files
mkdir -p alltray/files > /dev/null 2>&1
echo x - alltray/files/patch-lib_Makefile.in
sed 's/^X//' >alltray/files/patch-lib_Makefile.in << 'END-of-alltray/files/patch-lib_Makefile.in'
X--- lib/Makefile.in	Fri Sep 23 18:31:24 2005
X+++ lib/Makefile.in	Sat Oct 15 19:27:20 2005
X@@ -14,6 +14,9 @@
X 
X @SET_MAKE@
X 
X+INCLUDES= -I/usr/X11R6/include \
X+	  -L/usr/X11R6/lib
X+
X SOURCES = $(liballtray_la_SOURCES)
X 
X srcdir = @srcdir@
X@@ -179,7 +182,7 @@
X target_alias = @target_alias@
X lib_LTLIBRARIES = liballtray.la
X liballtray_la_SOURCES = nomap.c
X-liballtray_la_LDFLAGS = -version-info 0:0:0 -ldl
X+#liballtray_la_LDFLAGS = -version-info 0:0:0 -ldl
X liballtray_la_CFLAGS = $(X_CFLAGS)
X all: all-am
X 
END-of-alltray/files/patch-lib_Makefile.in
exit
--- alltray-0.62.shar ends here ---
Comment 6 Jean-Yves Lefort freebsd_committer 2005-10-28 10:53:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jylefort

Looks good now. Take.
Comment 7 Jean-Yves Lefort freebsd_committer 2005-10-28 13:25:25 UTC
State Changed
From-To: feedback->closed

Committed with a few modifications, thanks!